Debian Bug report logs - #132627
Please include demo files in binary packages

version graph

Package: kword; Maintainer for kword is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kword is src:calligra-transitional.

Reported by: Michael Koch <konqueror@gmx.de>

Date: Wed, 6 Feb 2002 19:03:01 UTC

Severity: wishlist

Found in version 1.1.1-4

Fixed in version koffice/1:1.1.1-5

Done: Ben Burton <benb@acm.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Burton <benb@acm.org>, koffice@packages.qa.debian.org:
Bug#132627; Package kword. Full text and rfc822 format available.

Acknowledgement sent to Michael Koch <konqueror@gmx.de>:
New Bug report received and forwarded. Copy sent to Ben Burton <benb@acm.org>, koffice@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Koch <konqueror@gmx.de>
To: submit@bugs.debian.org
Subject: kword is missing file
Date: Wed, 6 Feb 2002 19:48:33 +0100
Package: kword
Version: 1.1.1-4


kword should contain a file called eurosign.kwd but its not included with 
package.

/usr/share/doc/euro-support/debian-euro-support.html/ch-applications.html 
mentions this file and a whole demos dir with probably other files too.




Information forwarded to debian-bugs-dist@lists.debian.org, koffice@packages.qa.debian.org:
Bug#132627; Package kword. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <benb@acm.org>:
Extra info received and forwarded to list. Copy sent to koffice@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 132627@bugs.debian.org (full text, mbox):

From: Ben Burton <benb@acm.org>
To: Michael Koch <konqueror@gmx.de>, 132627@bugs.debian.org
Cc: control@bugs.debian.org, euro-support@packages.debian.org
Subject: Re: Bug#132627: kword is missing file
Date: Thu, 7 Feb 2002 14:55:18 +1100 (EST)
severity 132627 wishlist
retitle 132627 Please include demo files in binary packages
thanks

> kword should contain a file called eurosign.kwd but its not included with 
> package.
> 
> /usr/share/doc/euro-support/debian-euro-support.html/ch-applications.html 
> mentions this file and a whole demos dir with probably other files too.

This file is provided with the koffice source code, not the koffice
binary.  The default install from upstream doesn't install the demo files
either.  If you do an "apt-get source koffice" you'll find the directory
koffice/kword/demos as described in the euro-support documents.

So this isn't a bug in the kword packaging - it's a misunderstanding on
the part of the debian-euro-support author.  This is why I'm downgrading
this bug to wishlist.  Having said that, I'll have a look at putting the
demo files in /usr/share/doc/kword/examples (and similarly for kspread) on
the next upload.

Thanks,

Ben.




Severity set to `wishlist'. Request was from Ben Burton <benb@acm.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Ben Burton <benb@acm.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ben Burton <benb@acm.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Koch <konqueror@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 132627-close@bugs.debian.org (full text, mbox):

From: Ben Burton <benb@acm.org>
To: 132627-close@bugs.debian.org
Subject: Bug#132627: fixed in koffice 1:1.1.1-5
Date: Sun, 17 Feb 2002 15:15:04 -0500
We believe that the bug you reported is fixed in the latest version of
koffice, which has been installed in the Debian FTP archive:

kchart_1.1.1-5_i386.deb
  to pool/main/k/koffice/kchart_1.1.1-5_i386.deb
kformula_1.1.1-5_i386.deb
  to pool/main/k/koffice/kformula_1.1.1-5_i386.deb
kivio_1.1.1-5_i386.deb
  to pool/main/k/koffice/kivio_1.1.1-5_i386.deb
koffice-dev_1.1.1-5_i386.deb
  to pool/main/k/koffice/koffice-dev_1.1.1-5_i386.deb
koffice-doc-html_1.1.1-5_all.deb
  to pool/main/k/koffice/koffice-doc-html_1.1.1-5_all.deb
koffice-libs_1.1.1-5_i386.deb
  to pool/main/k/koffice/koffice-libs_1.1.1-5_i386.deb
koffice_1.1.1-5.diff.gz
  to pool/main/k/koffice/koffice_1.1.1-5.diff.gz
koffice_1.1.1-5.dsc
  to pool/main/k/koffice/koffice_1.1.1-5.dsc
koffice_1.1.1-5_i386.deb
  to pool/main/k/koffice/koffice_1.1.1-5_i386.deb
kontour_1.1.1-5_i386.deb
  to pool/main/k/koffice/kontour_1.1.1-5_i386.deb
koshell_1.1.1-5_i386.deb
  to pool/main/k/koffice/koshell_1.1.1-5_i386.deb
kpresenter_1.1.1-5_i386.deb
  to pool/main/k/koffice/kpresenter_1.1.1-5_i386.deb
kspread_1.1.1-5_i386.deb
  to pool/main/k/koffice/kspread_1.1.1-5_i386.deb
kugar_1.1.1-5_i386.deb
  to pool/main/k/koffice/kugar_1.1.1-5_i386.deb
kword_1.1.1-5_i386.deb
  to pool/main/k/koffice/kword_1.1.1-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 132627@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Burton <benb@acm.org> (supplier of updated koffice package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Feb 2002 18:08:59 +1100
Source: koffice
Binary: kword kspread kpresenter kivio koffice koffice-dev koffice-libs kchart kugar kontour koffice-doc-html kformula koshell
Architecture: source i386 all
Version: 1:1.1.1-5
Distribution: unstable
Urgency: low
Maintainer: Ben Burton <benb@acm.org>
Changed-By: Ben Burton <benb@acm.org>
Description: 
 kchart     - a chart drawing program for the KDE Office Suite
 kformula   - a formula editor for the KDE Office Suite
 kivio      - a flowcharting program for the KDE Office Suite
 koffice    - KDE Office Suite
 koffice-dev - common libraries for KOffice (development files)
 koffice-doc-html - KDE Office Suite documentation in HTML format
 koffice-libs - common libraries and files for the KDE Office Suite
 kontour    - a vector graphics tool for the KDE Office Suite
 koshell    - the KDE Office Suite workspace
 kpresenter - a presentation program for the KDE Office Suite
 kspread    - a spreadsheet for the KDE Office Suite
 kugar      - a business report maker for the KDE Office Suite
 kword      - a word processor for the KDE Office Suite
Closes: 132627
Changes: 
 koffice (1:1.1.1-5) unstable; urgency=low
 .
   * Include demo kword/kspread files in binary packages (closes: Bug#132627).
Files: 
 3b2f9eb8797006f275a2b446d062ef5e 839 x11 optional koffice_1.1.1-5.dsc
 578b926d9c29566b005740c91e5ed112 4242 x11 optional koffice_1.1.1-5.diff.gz
 20cb05d8b6d6343a1eafd6f9a89a6138 167994 doc optional koffice-doc-html_1.1.1-5_all.deb
 5656afb340ce84217249803ff4bd0671 7122 x11 optional koffice_1.1.1-5_i386.deb
 4e870acd0fabe51a7aa549607ab05ffe 399730 x11 optional kchart_1.1.1-5_i386.deb
 3b0aa048d984df0007002fac3cf76475 52552 x11 optional kformula_1.1.1-5_i386.deb
 becd5cf2665e7a51567100ce2a99a93a 662980 graphics optional kivio_1.1.1-5_i386.deb
 0f25ac345246236015b7c1c785f10dcb 527516 graphics optional kontour_1.1.1-5_i386.deb
 84d4b3f51903c1161abe20276fe79dc9 35782 x11 optional koshell_1.1.1-5_i386.deb
 8504e9e4e62f4ee6a71ceb6f0e149d38 1938654 x11 optional kpresenter_1.1.1-5_i386.deb
 982eec279384f00892d533849630f6b6 803108 x11 optional kspread_1.1.1-5_i386.deb
 c22fd4f7f2f7f7fe2203793752e2dd3c 138544 x11 optional kugar_1.1.1-5_i386.deb
 b79b54b9b4f05153d55391bf5bbe0b03 2302228 x11 optional kword_1.1.1-5_i386.deb
 bd0b0af821138ee82ac075710f129b39 1359712 libs optional koffice-libs_1.1.1-5_i386.deb
 0ee25976417940e36e53da3df8c2ced2 64072 devel optional koffice-dev_1.1.1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8b3DfMQNuxza4YcERAiWXAJ9p/JCXcjuhJgLYOMkcceWlwNNTUQCfS5am
9FeMxcd/oeCV0Xo5KmsALSQ=
=PX7M
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ben Burton <benb@acm.org>, koffice@packages.qa.debian.org:
Bug#132627; Package kword. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Ben Burton <benb@acm.org>, koffice@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 132627@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Ben Burton <benb@acm.org>
Cc: Michael Koch <konqueror@gmx.de>, 132627@bugs.debian.org, control@bugs.debian.org, euro-support@packages.debian.org
Subject: Re: Bug#132627: kword is missing file
Date: Mon, 18 Feb 2002 12:42:23 +0100
On Thu, Feb 07, 2002 at 02:55:18PM +1100, Ben Burton wrote:
> 
> So this isn't a bug in the kword packaging - it's a misunderstanding on
> the part of the debian-euro-support author.  This is why I'm downgrading
> this bug to wishlist.  Having said that, I'll have a look at putting the
> demo files in /usr/share/doc/kword/examples (and similarly for kspread) on
> the next upload.
> 
	I will fix the documentation but could you please send me a note
when you have added the demo files?

	Thanks

	Javi



Information forwarded to debian-bugs-dist@lists.debian.org, koffice@packages.qa.debian.org:
Bug#132627; Package kword. Full text and rfc822 format available.

Acknowledgement sent to Ben Burton <benb@acm.org>:
Extra info received and forwarded to list. Copy sent to koffice@packages.qa.debian.org. Full text and rfc822 format available.

Message #29 received at 132627@bugs.debian.org (full text, mbox):

From: Ben Burton <benb@acm.org>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>
Cc: Michael Koch <konqueror@gmx.de>, 132627@bugs.debian.org, euro-support@packages.debian.org
Subject: Re: Bug#132627: kword is missing file
Date: Tue, 19 Feb 2002 13:37:19 +1100 (EST)
> 	I will fix the documentation but could you please send me a note
> when you have added the demo files?

They're already there (1.1.1-5):

/usr/share/doc/kword/examples/eurosign.kwd.gz

Ben.




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:49:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.